package com.kingdee.eas.custom.synctask;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class SyncTranForMJFacadeFactory
{
    private SyncTranForMJFacadeFactory()
    {
    }
    public static com.kingdee.eas.custom.synctask.ISyncTranForMJFacade getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.synctask.ISyncTranForMJFacade)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("135AEBA4") ,com.kingdee.eas.custom.synctask.ISyncTranForMJFacade.class);
    }
    
    public static com.kingdee.eas.custom.synctask.ISyncTranForMJFacade getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.synctask.ISyncTranForMJFacade)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("135AEBA4") ,com.kingdee.eas.custom.synctask.ISyncTranForMJFacade.class, objectCtx);
    }
    public static com.kingdee.eas.custom.synctask.ISyncTranForMJFacade getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.synctask.ISyncTranForMJFacade)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("135AEBA4"));
    }
    public static com.kingdee.eas.custom.synctask.ISyncTranForMJFacade getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.synctask.ISyncTranForMJFacade)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("135AEBA4"));
    }
}